module.exports.recommended = {
  files: ['**/*.{js,jsx,cjs,mjs,ts,tsx}'],
  plugins: {
    prettier: require('eslint-plugin-prettier'),
  },
  rules: {
    ...require('eslint-config-prettier').rules,
    '@babel/object-curly-spacing': 0,
    '@typescript-eslint/indent': 0,
    'array-bracket-newline': 0,
    'array-element-newline': 0,
    'arrow-body-style': 0,
    'canonical/destructuring-property-newline': 0,
    'canonical/export-specifier-newline': 0,
    'canonical/import-specifier-newline': 0,
    'line-comment-position': 0,
    'linebreak-style': 0,
    'no-extra-parens': 0,
    'no-inline-comments': 0,
    'object-curly-newline': 0,
    'operator-linebreak': 0,
    'prefer-arrow-callback': 0,
    'prettier/prettier': [
      2,
      {
        arrowParens: 'always',
        bracketSameLine: false,
        bracketSpacing: true,
        endOfLine: 'lf',
        printWidth: 80,
        proseWrap: 'preserve',
        quoteProps: 'as-needed',
        semi: true,
        singleAttributePerLine: true,
        singleQuote: true,
        tabWidth: 2,
        trailingComma: 'all',
        useTabs: false,
      },
      {
        usePrettierrc: false,
      },
    ],
    'unicorn/template-indent': 0,
  },
};
